%define major     %{version}
%define libname   %mklibname %name %{major}
%define develname %mklibname %name -d

Name:		marnav
Summary:	Library for MARitime NAVigation
Version:	0.14.0
Release:	%mkrel 5
License:	GPLv2
Group:		System/Libraries
URL:		https://github.com/mariokonrad/marnav
Source0:	https://github.com/mariokonrad/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		marnav-0.14.0-src-CMakeLists.patch
Patch1:		marnav-gcc14.patch

BuildRequires:	cmake
BuildRequires:	gettext
BuildRequires:	doxygen
BuildRequires:	git
BuildRequires:	wxgtk-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5SerialPort)
BuildRequires:	boost-build
BuildRequires:	boost-devel

%description
This is a C++ library for MARitime NAVigation purposes.
It supports (partially):
    NMEA-0183
    AIS
    SeaTalk (Raymarine device communication)
    Basic geodesic functions, suitable for martime navigation.
    Reading data from serial ports (NMEA, SeaTalk). This is a separate library, available only if required environment is present, typically a Linux system.

%package -n	%{libname}
Summary:	Library for MARitime NAVigation
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Obsoletes:	marnav < 0.14.0-5

%description -n	%{libname}
This is a C++ library for MARitime NAVigation purposes.
It supports (partially):
    NMEA-0183
    AIS
    SeaTalk (Raymarine device communication)
    Basic geodesic functions, suitable for martime navigation.
    Reading data from serial ports (NMEA, SeaTalk). This is a separate library, available only if required environment is present, typically a Linux system.

%package -n	%{develname}
Group:		Development/Other
Summary:	Development libraries for %name
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development libraries from %{name}.

%prep
%autosetup -p1

%build
%cmake -DENABLE_TOOLS=OFF \
       -DENABLE_TESTS=OFF \
       -DENABLE_EXAMPLES=OFF \
       -DENABLE_STATIC=OFF

%cmake_build

%install
%cmake_install

%files -n %{libname}
%doc README.md
%license LICENSE
%{_libdir}/lib%{name}.so.%{major}{,.*}
%{_libdir}/lib%{name}-io.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/marnav/
%{_includedir}/marnav-io/
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}-io.so
%{_libdir}/cmake/marnav/


%changelog
* Sun Jun 15 2025 daviddavid <daviddavid> 0.14.0-5.mga10
+ Revision: 2191617
- switch to wxGTK3.2
- libify properly pkg

* Mon Apr 01 2024 wally <wally> 0.14.0-4.mga10
+ Revision: 2053695
- fix build with gcc14

* Mon Jun 05 2023 philippedidier <philippedidier> 0.14.0-3.mga9
+ Revision: 1961007
- do not build tools useless for opencpn  do not use fmt nor cxxopts
- correct the spec file
- imported package marnav

